  <!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Homework-2</title>
</head>

<body>

    <script>
        "use strict";
        const books = [
            {
                author: "Скотт Бэккер",
                name: "Тьма, что приходит прежде",
                price: 70
            },
            {
                author: "Скотт Бэккер",
                name: "Воин-пророк",
            },
            {
                name: "Тысячекратная мысль",
                price: 70
            },
            {
                author: "Скотт Бэккер",
                name: "Нечестивый Консульт",
                price: 70
            },
            {
                author: "Дарья Донцова",
                name: "Детектив на диете",
                price: 40
            },
            {
                author: "Дарья Донцова",
                name: "Дед Снегур и Морозочка",
            }
        ];


        // console.log(books[3].name)

        function createList(storage) {
            const body = document.querySelector('body');
            const root = document.createElement('div');
            root.setAttribute('id', 'root');
            const list = document.createElement('ul');
            body.appendChild(root);
            root.appendChild(list);
            let newStorage = [];
            let counter = 0;
            for (let book of storage) {
                counter = counter + 1; //счет начинаю с единицы специально, для пользователя было бы непонятно, что в программировании счет идет с 0
                try {
                    if (book.name !== undefined && book.author !== undefined && book.price !== undefined) {
                        let listItem = document.createElement('li');
                        list.appendChild(listItem);
                        listItem.innerText = `"${book.name}" , author ${book.author}. PRICE: ${book.price}`;
                        newStorage.push(book);
                    }
                    else {
                        throw new Error(`The object № ${counter} of array, has not all properties`);
                    }

                }
                // console.log(newStorage);
                catch (error) {
                    console.log(error);
                }
            }
        }
        createList(books);

    </script>
</body>

</html>